Package com.sun.jna.platform.win32

# Class LMAccess.GROUP_INFO_1

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.LMAccess.GROUP_INFO_1

Enclosing interface:
  LMAccess

@FieldOrder({"grpi1_name","grpi1_comment"}) public static class LMAccess.GROUP_INFO_1 extends Structure
The GROUP_INFO_1 structure contains a global group name and a comment to associate with the group.

## Nested Class Summary

## Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

## Field Summary

Fields
Modifier and Type
Field
Description
`String`
`grpi1_comment`
Pointer to a null-terminated Unicode character string that specifies a remark associated with the global group.
`String`
`grpi1_name`
Pointer to a null-terminated Unicode character string that specifies the name of the global group.

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

## Constructor Summary

Constructors
Constructor
Description
`GROUP_INFO_1()`
`GROUP_INFO_1(Pointer memory)`

## Method Summary

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### grpi1_name

public String grpi1_name
Pointer to a null-terminated Unicode character string that specifies the name of the global group.

### grpi1_comment

public String grpi1_comment
Pointer to a null-terminated Unicode character string that specifies a remark associated with the global group. This member can be a null string. The comment can contain MAXCOMMENTSZ characters.

## Constructor Details

### GROUP_INFO_1

public GROUP_INFO_1()

### GROUP_INFO_1

public GROUP_INFO_1(Pointer memory)